[openshot] All translation files now included in openshot-lang, fixes RFBZ#4358.

Richard Shaw hobbes1069 at rpmfusion.org
Sun Dec 4 15:48:59 CET 2016


commit 42d7f372361bd0e33fca624cddf19166947e31f4
Author: Richard Shaw <hobbes1069 at gmail.com>
Date:   Sun Dec 4 08:48:52 2016 -0600

    All translation files now included in openshot-lang, fixes RFBZ#4358.
    
    - Change dependency on openshot-lang from Requires to Recommends.

 openshot-find-lang.sh | 253 ++++++++++++++++++++++++++++++++++++++++++++++++++
 openshot.spec         |  23 +++--
 2 files changed, 270 insertions(+), 6 deletions(-)
---
diff --git a/openshot-find-lang.sh b/openshot-find-lang.sh
new file mode 100755
index 0000000..4d5332c
--- /dev/null
+++ b/openshot-find-lang.sh
@@ -0,0 +1,253 @@
+#!/bin/sh
+#findlang - automagically generate list of language specific files
+#for inclusion in an rpm spec file.
+#This does assume that the *.mo files are under .../locale/...
+#Run with no arguments gets a usage message.
+
+#findlang is copyright (c) 1998 by W. L. Estes <wlestes at uncg.edu>
+
+#Redistribution and use of this software are hereby permitted for any
+#purpose as long as this notice and the above copyright notice remain
+#in tact and are included with any redistribution of this file or any
+#work based on this file.
+
+# 2011-11-16 Per Øyvind Karlsen <peroyvind at mandriva.org>
+#   * add support for HTML files (from Mandriva)
+# 2004-06-20 Arkadiusz Miśkiewicz <arekm at pld-linux.org>
+#   * merge PLD changes, kde, all-name (mkochano,pascalek at PLD)
+# 1999-10-19 Artur Frysiak <wiget at pld-linux.org>
+#   * added support for GNOME help files
+#   * start support for KDE help files
+
+usage () {
+cat <<EOF
+
+Usage: $0 TOP_DIR PACKAGE_NAME [prefix]
+
+where TOP_DIR is
+the top of the tree containing the files to be processed--should be
+\$RPM_BUILD_ROOT usually. TOP_DIR gets sed'd out of the output list.
+PACKAGE_NAME is the %{name} of the package. This should also be
+the basename of the .mo files.  the output is written to
+PACKAGE_NAME.lang unless \$3 is given in which case output is written
+to \$3.
+Additional options:
+  --with-gnome		find GNOME help files
+  --with-mate		find MATE help files
+  --with-kde		find KDE help files
+  --with-qt		find Qt translation files
+  --with-html		find HTML files
+  --with-man		find localized man pages
+  --all-name		match all package/domain names
+  --without-mo		do not find locale files
+EOF
+exit 1
+}
+
+if [ -z "$1" ] ; then usage
+elif [ $1 = / ] ; then echo $0: expects non-/ argument for '$1' 1>&2
+elif [ ! -d $1 ] ; then
+ echo $0: $1: no such directory
+ exit 1
+else TOP_DIR="`echo $1|sed -e 's:/$::'`"
+fi
+shift
+
+if [ -z "$1" ] ; then usage
+else NAME=$1
+fi
+shift
+
+GNOME=#
+MATE=#
+KDE=#
+QT=#
+MAN=#
+HTML=#
+MO=
+MO_NAME=$NAME.lang
+ALL_NAME=#
+NO_ALL_NAME=
+
+while test $# -gt 0 ; do
+    case "${1}" in
+	--with-gnome )
+  		GNOME=
+		shift
+		;;
+	--with-mate )
+		MATE=
+		shift
+		;;
+	--with-kde )
+		KDE=
+		shift
+		;;
+	--with-qt )
+		QT=
+		shift
+		;;
+	--with-man )
+		MAN=
+		shift
+		;;
+	--with-html )
+		HTML=
+		shift
+		;;
+	--without-mo )
+		MO=#
+		shift
+		;;
+	--all-name )
+		ALL_NAME=
+		NO_ALL_NAME=#
+		shift
+		;;
+	* )
+		MO_NAME=${1}
+		shift
+		;;
+    esac
+done    
+
+find "$TOP_DIR" -type f -o -type l|sed '
+s:'"$TOP_DIR"'::
+'"$ALL_NAME$MO"'s:\(.*/locale/\)\([^/_]\+\)\(.*\.mo$\):%lang(\2) \1\2\3:
+'"$NO_ALL_NAME$MO"'s:\(.*/locale/\)\([^/_]\+\)\(.*/'"$NAME"'\.mo$\):%lang(\2) \1\2\3:
+s:^\([^%].*\)::
+s:%lang(C) ::
+/^$/d' > $MO_NAME
+
+find "$TOP_DIR" -type d|sed '
+s:'"$TOP_DIR"'::
+'"$NO_ALL_NAME$GNOME"'s:\(.*/share/help/\)\([^/_]\+\)\([^/]*\)\(/'"$NAME"'\)$:%lang(\2) %doc \1\2\3\4/:
+'"$ALL_NAME$GNOME"'s:\(.*/share/help/\)\([^/_]\+\)\([^/]*\)\(/[a-zA-Z0-9.\_\-]\+\)$:%lang(\2) %doc \1\2\3\4/:
+s:^\([^%].*\)::
+s:%lang(C) ::
+/^$/d' >> $MO_NAME
+
+find "$TOP_DIR" -type d|sed '
+s:'"$TOP_DIR"'::
+'"$NO_ALL_NAME$GNOME"'s:\(.*/gnome/help/'"$NAME"'$\):%dir \1:
+'"$NO_ALL_NAME$GNOME"'s:\(.*/gnome/help/'"$NAME"'/[a-zA-Z0-9.\_\-]/.\+\)::
+'"$NO_ALL_NAME$GNOME"'s:\(.*/gnome/help/'"$NAME"'\/\)\([^/_]\+\):%lang(\2) \1\2:
+'"$ALL_NAME$GNOME"'s:\(.*/gnome/help/[a-zA-Z0-9.\_\-]\+$\):%dir \1:
+'"$ALL_NAME$GNOME"'s:\(.*/gnome/help/[a-zA-Z0-9.\_\-]\+/[a-zA-Z0-9.\_\-]/.\+\)::
+'"$ALL_NAME$GNOME"'s:\(.*/gnome/help/[a-zA-Z0-9.\_\-]\+\/\)\([^/_]\+\):%lang(\2) \1\2:
+s:%lang(.*) .*/gnome/help/[a-zA-Z0-9.\_\-]\+/[a-zA-Z0-9.\_\-]\+/.*::
+s:^\([^%].*\)::
+s:%lang(C) ::
+/^$/d' >> $MO_NAME
+
+find "$TOP_DIR" -type d|sed '
+s:'"$TOP_DIR"'::
+'"$NO_ALL_NAME$GNOME"'s:\(.*/omf/'"$NAME"'$\):%dir \1:
+'"$ALL_NAME$GNOME"'s:\(.*/omf/[a-zA-Z0-9.\_\-]\+$\):%dir \1:
+s:^\([^%].*\)::
+/^$/d' >> $MO_NAME
+
+find "$TOP_DIR" -type f|sed '
+s:'"$TOP_DIR"'::
+'"$NO_ALL_NAME$GNOME"'s:\(.*/omf/'"$NAME"'/'"$NAME"'-\([^/.]\+\)\.omf\):%lang(\2) \1:
+'"$ALL_NAME$GNOME"'s:\(.*/omf/[a-zA-Z0-9.\_\-]\+/[a-zA-Z0-9.\_\-]\+-\([^/.]\+\)\.omf\):%lang(\2) \1:
+s:^[^%].*::
+s:%lang(C) ::
+/^$/d' >> $MO_NAME
+
+find $TOP_DIR -type d|sed '
+s:'"$TOP_DIR"'::
+'"$NO_ALL_NAME$MATE"'s:\(.*/mate/help/'"$NAME"'$\):%dir \1:
+'"$NO_ALL_NAME$MATE"'s:\(.*/mate/help/'"$NAME"'/[a-zA-Z0-9.\_\-]/.\+\)::
+'"$NO_ALL_NAME$MATE"'s:\(.*/mate/help/'"$NAME"'\/\)\([^/_]\+\):%lang(\2) \1\2:
+'"$ALL_NAME$MATE"'s:\(.*/mate/help/[a-zA-Z0-9.\_\-]\+$\):%dir \1:
+'"$ALL_NAME$MATE"'s:\(.*/mate/help/[a-zA-Z0-9.\_\-]\+/[a-zA-Z0-9.\_\-]/.\+\)::
+'"$ALL_NAME$GNOME"'s:\(.*/mate/help/[a-zA-Z0-9.\_\-]\+\/\)\([^/_]\+\):%lang(\2) \1\2:
+s:%lang(.*) .*/mate/help/[a-zA-Z0-9.\_\-]\+/[a-zA-Z0-9.\_\-]\+/.*::
+s:^\([^%].*\)::
+s:%lang(C) ::
+/^$/d' >> $MO_NAME
+
+find "$TOP_DIR" -type d|sed '
+s:'"$TOP_DIR"'::
+'"$NO_ALL_NAME$MATE"'s:\(.*/omf/'"$NAME"'$\):%dir \1:
+'"$ALL_NAME$MATE"'s:\(.*/omf/[a-zA-Z0-9.\_\-]\+$\):%dir \1:
+s:^\([^%].*\)::
+/^$/d' >> $MO_NAME
+
+find "$TOP_DIR" -type f|sed '
+s:'"$TOP_DIR"'::
+'"$NO_ALL_NAME$MATE"'s:\(.*/omf/'"$NAME"'/'"$NAME"'-\([^/.]\+\)\.omf\):%lang(\2) \1:
+'"$ALL_NAME$MATE"'s:\(.*/omf/[a-zA-Z0-9.\_\-]\+/[a-zA-Z0-9.\_\-]\+-\([^/.]\+\)\.omf\):%lang(\2) \1:
+s:^[^%].*::
+s:%lang(C) ::
+/^$/d' >> $MO_NAME
+
+KDE3_HTML=`kde-config --expandvars --install html 2>/dev/null`
+if [ x"$KDE3_HTML" != x -a -d "$TOP_DIR$KDE3_HTML" ]; then
+find "$TOP_DIR$KDE3_HTML" -type d|sed '
+s:'"$TOP_DIR"'::
+'"$NO_ALL_NAME$KDE"'s:\(.*/HTML/\)\([^/_]\+\)\(.*/'"$NAME"'/\)::
+'"$NO_ALL_NAME$KDE"'s:\(.*/HTML/\)\([^/_]\+\)\(.*/'"$NAME"'\)$:%lang(\2) \1\2\3:
+'"$ALL_NAME$KDE"'s:\(.*/HTML/\)\([^/_]\+\)\(.*/[a-zA-Z0-9.\_\-]\+/\)::
+'"$ALL_NAME$KDE"'s:\(.*/HTML/\)\([^/_]\+\)\(.*/[a-zA-Z0-9.\_\-]\+$\):%lang(\2) \1\2\3:
+s:^\([^%].*\)::
+s:%lang(C) ::
+/^$/d' >> $MO_NAME
+fi
+
+KDE4_HTML=`kde4-config --expandvars --install html 2>/dev/null`
+if [ x"$KDE4_HTML" != x -a -d "$TOP_DIR$KDE4_HTML" ]; then
+find "$TOP_DIR$KDE4_HTML" -type d|sed '
+s:'"$TOP_DIR"'::
+'"$NO_ALL_NAME$KDE"'s:\(.*/HTML/\)\([^/_]\+\)\(.*/'"$NAME"'/\)::
+'"$NO_ALL_NAME$KDE"'s:\(.*/HTML/\)\([^/_]\+\)\(.*/'"$NAME"'\)$:%lang(\2) \1\2\3:
+'"$ALL_NAME$KDE"'s:\(.*/HTML/\)\([^/_]\+\)\(.*/[a-zA-Z0-9.\_\-]\+/\)::
+'"$ALL_NAME$KDE"'s:\(.*/HTML/\)\([^/_]\+\)\(.*/[a-zA-Z0-9.\_\-]\+$\):%lang(\2) \1\2\3:
+s:^\([^%].*\)::
+s:%lang(C) ::
+/^$/d' >> $MO_NAME
+fi
+
+find "$TOP_DIR" -type d|sed '
+s:'"$TOP_DIR"'::
+'"$NO_ALL_NAME$HTML"'s:\(.*/doc/HTML/\)\([^/_]\+\)\(.*/'"$NAME"'/\)::
+'"$NO_ALL_NAME$HTML"'s:\(.*/doc/HTML/\)\([^/_]\+\)\(.*/'"$NAME"'\)$:%lang(\2) \1\2\3:
+'"$ALL_NAME$HTML"'s:\(.*/doc/HTML/\)\([^/_]\+\)\(.*/[a-zA-Z0-9.\_\-]\+/\)::
+'"$ALL_NAME$HTML"'s:\(.*/doc/HTML/\)\([^/_]\+\)\(.*/[a-zA-Z0-9.\_\-]\+$\):%lang(\2) \1\2\3:
+s:^\([^%].*\)::
+s:%lang(C) ::
+/^$/d' >> $MO_NAME
+
+find "$TOP_DIR" -type f -o -type l|sed '
+s:'"$TOP_DIR"'::
+'"$NO_ALL_NAME$QT"'s:\(.*/locale/\)\([^/_]\+\)\(.*/'"$NAME"'\.qm$\):%lang(\2) \1\2\3:
+#'"$NO_ALL_NAME$QT"'s:\(.*/'"$NAME"'_\([a-zA-Z]\{2\}\([_@].*\)\?\)\.qm$\):%lang(\2) \1:
+'"$ALL_NAME$QT"'s:\(.*/[^/_]\+_\([a-zA-Z]\{2\}[_@].*\)\.qm$\):%lang(\2) \1:
+'"$ALL_NAME$QT"'s:\(.*/[^/_]\+_\([a-zA-Z]\{2\}\)\.qm$\):%lang(\2) \1:
+'"$ALL_NAME$QT"'s:^\([^%].*/[^/]\+_\([a-zA-Z]\{2\}[_@].*\)\.qm$\):%lang(\2) \1:
+'"$ALL_NAME$QT"'s:^\([^%].*/[^/]\+_\([a-zA-Z]\{2\}\)\.qm$\):%lang(\2) \1:
+s:^[^%].*::
+s:%lang(C) ::
+/^$/d' >> $MO_NAME
+
+find "$TOP_DIR" -type d|sed '
+s:'"$TOP_DIR"'::
+'"$ALL_NAME$MAN"'s:\(.*/man/\([^/_]\+\).*/man[a-z0-9]\+/\)::
+'"$ALL_NAME$MAN"'s:\(.*/man/\([^/_]\+\).*/man[a-z0-9]\+$\):%lang(\2) \1/*:
+s:^\([^%].*\)::
+s:%lang(C) ::
+/^$/d' >> $MO_NAME
+
+find "$TOP_DIR" -type f -o -type l|sed -r 's/\.(bz2|gz|xz|lzma|Z)$//g' | sed '
+s:'"$TOP_DIR"'::
+'"$NO_ALL_NAME$MAN"'s:\(.*/man/\([^/_]\+\).*/man[a-z0-9]\+/'"$NAME"'\.[a-z0-9].*\):%lang(\2) \1*:
+s:^\([^%].*\)::
+s:%lang(C) ::
+/^$/d' >> $MO_NAME
+
+if ! grep -q / $MO_NAME; then
+	echo "No translations found for ${NAME} in ${TOP_DIR}"
+	exit 1
+fi
+exit 0
diff --git a/openshot.spec b/openshot.spec
index 188a338..1b40a7b 100644
--- a/openshot.spec
+++ b/openshot.spec
@@ -2,9 +2,12 @@
 %global minor 1
 %global patch 0
 
+# Redirect find_lang to our patched version
+%global find_lang %{_sourcedir}/openshot-find-lang.sh %{buildroot}
+
 Name:           openshot
 Version:        %{major}.%{minor}.%{patch}
-Release:        1%{?dist}
+Release:        2%{?dist}
 Summary:        Create and edit videos and movies
 
 Group:          Applications/Multimedia
@@ -13,6 +16,9 @@ URL:            http://www.openshotvideo.com/
 
 Source0:        http://launchpad.net/openshot/%{major}.%{minor}/%{version}/+download/openshot-qt-%{version}.tar.gz
 
+# QT translation files are installed to a non-standard location
+Source100:      openshot-find-lang.sh
+
 BuildArch: noarch
 
 BuildRequires:  python3-devel
@@ -29,7 +35,8 @@ Requires:       python3-httplib2
 Requires:       python3-libopenshot
 Requires:       python3-zmq
 Requires:       ffmpeg-libs
-Requires:       openshot-lang
+
+Recommends:     openshot-lang
 
 
 %description
@@ -90,7 +97,7 @@ mv %{buildroot}%{_datadir}/pixmaps/%{name}-qt.svg \
 # Provided icon is not square
 convert xdg/openshot-qt.png -virtual-pixel Transparent -set option:distort:viewport "%[fx:max(w,h)]x%[fx:max(w,h)]-%[fx:max((h-w)/2,0)]-%[fx:max((w-h)/2,0)]" -filter point -distort SRT 0 +repage %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/openshot-qt.png
 
-%find_lang %{name}_qt --all-name
+%find_lang OpenShot --with-qt
 
 
 %post
@@ -111,7 +118,7 @@ update-desktop-database &> /dev/null || :
 /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
 
 
-%files -f %{name}_qt.lang
+%files
 %license COPYING
 %doc AUTHORS README
 %{_bindir}/*
@@ -123,12 +130,16 @@ update-desktop-database &> /dev/null || :
 %{python3_sitelib}/*egg-info
 %{_prefix}/lib/mime/packages/openshot-qt
 
-%files lang -f %{name}_qt.lang
+%files lang -f OpenShot.lang
 %dir %{python3_sitelib}/%{name}_qt/locale
 
 
 %changelog
-* Tue Oct 18 2016 Richard Shaw <hobbes1069 at gmail.com> - 2.1.0-1
+* Sun Dec  4 2016 Richard Shaw <hobbes1069 at gmail.com> - 2.1.0-2
+- All translation files now included in openshot-lang, fixes RFBZ#4358.
+- Change dependency on openshot-lang from Requires to Recommends.
+
+* Tue Aug 30 2016 Richard Shaw <hobbes1069 at gmail.com> - 2.1.0-1
 - Update to latest upstream release.
 
 * Tue Aug 23 2016 Richard Shaw <hobbes1069 at gmail.com> - 2.0.7-5


More information about the rpmfusion-commits mailing list